FROM adoptopenjdk:8-jdk as synthea

RUN apt-get update
RUN apt-get -y install wget apt-transport-https gnupg unzip git

ENV GIT_COMMIT=c8c88a7e3a6953aa5d59848d57ebe742ceccb5fd
ENV GIT_COMMIT_INT=b15fdf8396c2600c2f95bd1ad64f5768d64c941a

RUN wget https://github.com/synthetichealth/synthea/archive/${GIT_COMMIT}.zip -q && \
  unzip -q ${GIT_COMMIT}.zip && \
  mv synthea-${GIT_COMMIT} /opt/synthea && \
  rm ${GIT_COMMIT}.zip

WORKDIR /opt/synthea

RUN ./gradlew build check test --stacktrace

WORKDIR /opt/

RUN wget https://github.com/synthetichealth/synthea-international/archive/${GIT_COMMIT_INT}.zip -q && \
  unzip -q ${GIT_COMMIT_INT}.zip && \
  rm ${GIT_COMMIT_INT}.zip && \
  cd synthea && \
  cp -R ../synthea-international-${GIT_COMMIT_INT}/fr/* .

WORKDIR /opt/synthea

ARG NB_PATIENTS
ARG ZONE
RUN ./run_synthea -p ${NB_PATIENTS} ${ZONE}